태그: ESXi

    ESXi 호스트의 root 로 접근이 불가능한 이슈

    오늘 무슨 테스트를 해본다고 만들고 있던 랩 환경이 있었습니다. 외부에서 접속할 필요가 있어서 ESXi 호스트쪽으로 22번 포트를 외부로 오픈해두고 있던 상황이였는데요,  잘 쓰고 있는데 갑자기 ESXi host client 하고 ssh 쪽으로 root 로 로그인이 안되는 겁니다. 패스워드를 쉬운걸 해놔서 아뿔싸 해킹 당했나보구나 라고 생각해봤습니다. 상단의 라우터쪽에서도 여러가지 외부 아이피들이 찍혀있었구요.  ESXi 는 다시 밀어야겠구나 하고 생각하고… 해당 호스트에 콘솔로 접근하는 순간.. 어라? 원래 알던 패스워드로 접속이 되는것입니다. 그 상태에서 패스워드를 변경하고 다시 접속을 시도해봤지만 되지 않았습니다. 알아봤더니 아래 두가지 파라미터로 인해 root 계정이 lock 이 걸리는 것이였습니다. Security.AccountLockFailures – Maximum allowed failed login attempts before locking out a user’s account. Zero […]

    Read More

    ESXi Compatibility Checker

    따근따근한 Tool 이 하나 나와서 소개합니다. python 으로 작성된 프로그램이구요, ESXi 의 호환성을 확인해볼 수 있는 Tool 이라고 보시면 됩니다. https://labs.vmware.com/flings/esxi-compatibility-checker 에서 다운로드 가능하구요. 사용하기 위해서 python 설치가 필요합니다. python download 및 설치 (설치시에 pip 가 포함되도록) : https://www.python.org/downloads/ 설치 후 다음 컴포넌트들을 설치 install Pyvmomi python -m pip install pyvmomi install crypto python -m pip install crypto install pyopenssl python -m pip install pyopenssl 설치가 끝나면 스크립트를 실행하고, 패스워드를 입력합니다. compchecker.py -s VC_or_ESXi_ip_address -u username 저같은 경우는 VC 주소로 접속했는데요, vCenter 의 Build version 이 나오네요. C:\Users\byoungheek\Desktop\compchecker_v1_8522284>compchecker.py -s vcsa01.psolab.local -u administrator@vsphere.local Enter password for host “vcsa01.psolab.local” and user “administrator@vsphere.local”: VMware […]

    Read More

    Cisco Bug CSCvj32984 – VIC 1340 on 3.2(3a) utilizing FC Storage under high load hangs/halts OS

    Cisco UCS 환경에서 VIC 1340 펌웨어 3.2(3a) 를 사용하는 경우, PSOD 는 아니지만  ESXi Hang 을 유발한다는 이슈가 리포트 되었습니다. 상세한 내용은 아래 링크를 참조하시기 바랍니다. https://quickview.cloudapps.cisco.com/quickview/bug/CSCvj32984 국내에서 보고된 사례는 없는듯 하지만 혹시 모르니 해당 펌웨어 버전은 사용하지 않으시는것이 좋겠습니다.  

    Read More

    vSphere 6.5 U2 GA

    vSphere 6.5 U2 가 소리소문없이 GA 되었습니다. 가장 큰 변화라면, vSphere 6.7 에서부터 지원하는 Embedded PSC 의 ELM 구성을 6.5U2 에서도 지원합니다.   다만, Greenfield Deployment – 신규 구축의 경우에 한해서만, 또는 기존에 Embedded PSC 형태로 쓰고 있던 환경에서만 현재 지원됩니다. Windows vCenter 에서는 안됩니다. (VCSA 만 가능) external PSC 환경을 embedded 로 돌리기 위해서는 별도의 툴이 필요한데 아직 릴리즈 되지는 않았습니다. 그외에 몇가지를 꼽아보자면.. HPE Gen9 에서 disk serviceability plug-in 이 몇가지 작동 안하는 것들이 있었는데 이제 extended list of expander device 에서 지원한다고 하네요. 그런데 list 가 어떤건지 내용을 찾을수가 없습니다. 아마 KB 의 업데이트가 있지 않을까 합니다.. (pdates […]

    Read More

    The Upgrading to VMware vSphere 6.5″ eBook

    안녕하세요.  vSphere 6.5 버전으로의 업그레이드를 계획하는데 도움이 될 수 있는 자료가 하나 공개되었습니다. 책의 저자는 Emad Younis 로 VMware 에서 Staff Technical Marketing Architect 로 근무하고 있는 분입니다. http://emadyounis.com/upgrade/new-resource-vmware-vsphere-6-5-upgrade-ebook/ 관련한 내용은 위 페이지를 보시면 될것 같구요. 다운로드를 위한 신청은 여기서 하시면 됩니다. 

    Read More